Disc Brake

This tutorial aims to illustrate the use of OpenCascadeLink to create a disc plate, which is the main component of a disc brake. The dimensions and the creation procedure are based on a computer-aided design (CAD) tutorial [1,2].

4.gif

The creation of the disc plate will be done in several stages. First, the main body is created, which includes the disc plate and its hat section. Then, as a second step, holes are added in the hat section, and a single slot is added in the middle of the disc. Finally, a pattern of holes is added over the whole surface of the disc.

Load the packages:

Disc plate

The disc plate will be created by specifying a cross-section in the x-y plane. This cross-section will then serve as a basis for a solid created from a revolution around the x-axis. The cross section is shown below in dark gray inside the opaque disc break.

5.gif

The cross-section will consist of a single polygon of 12 points , and the radius of the disc will be of 144 [mm].

Specify a cross section of the disc plate:

Note that all points lie in the x-y plane.

Verifying if the objects built are orientated the right way, is essential. For that purpose, one case use OpenCascadeAxis3D.

Create the 3D axis of reference:
Visualize the cross section of the disc plate:
Create OpenCascade shape from the cross section:

Next, the cross-section will be revolved around a rotation axis along the x-axis.

Create a rotation axis:
Create the rotational sweep of the cross section around the rotation axis:
Inspect the type of the shape objected created:
Extract a boundary element mesh:
Visualize the boundary element mesh of the disc plate:

A full-element mesh is generated to verify that the boundary mesh construction worked as intended. To speed the creation up a first order mesh is generated.

Create a full element mesh:

Now, we are going to apply some chamfers and fillets.

In the current version of OpenCascadeLink, there is no functionality to select a specific edge directly from the visualization for applying a chamfer or fillet. Instead, one needs to specify the edge's identification number (ID) manually. As the model gets bigger, the number of edges will increase, so it is recommended to apply chamfers and fillets as early as possible. To find the actual edges on which to apply the chamfer or fillet a Manipulate, as described in Using OpenCascadeLink, can be useful.

Look at the number of edges in the shape:

Create two chamfers of radius 3 [mm] at the central hole of the disc plate.

Apply chamfer to edges 18 and 20:

Then, create three other chamfers of of radius 2 [mm].

Apply chamfer to edges 2, 21, and 30:

Next, create three fillets of radius 1 [mm].

Fillet edges number 19, 20, 30:

And finally, create two chamfers of 1 [mm].

Apply a chamfer to edges 45 and 46:

Every time a chamfer or fillet is created, the number of edges increases; consequently, the edges will have a new ID number.

Extract a boundary element mesh:
Visualize the filleted and chamfered disc plate:

Holes at the hat section

At the top surface of the hat section, five bolt holes of a diameter of 15.3 [mm] will be made around the central hole, and each of them with a chamfer of 1 [mm] on both sides.

To avoid searching and selecting each edge of the created the for making the chamfer we use a different route. The idea is to first create a 'tool' that when applied will leave the desired hole with the champers.

The tool to be created will be composed of three parts, a cylinder for the actual hole and a cuboid at each end of the cylinder. The chamfers will connect between the cylinder and the cuboids on top. Again, the purpose of creating this tool is to generate the hole and chamfers in one go. When applying the tool the disc brake will have the holes with the chamfers included.

Create a Cylinder that will be used to make the hole:
Create two cuboids and located them at each of the bases of the cylinder:
Construct the union:
Visualize the Boolean region:
Create an OpenCascade shape from the Boolean region:
Apply a chamfer to edges 25 and 26:
Visualize the chamfered surface:
Create 5 instances of the piece around the central hole:

Make the holes by computing the difference between the Boolean regions and the disc plate.

Apply the Boolean operation:
Extract a boundary element mesh:
Visualize the boundary element mesh:

Gap

A gap in the middle of the disc is created, consisting of a pattern of rectangle cuts that goes around the disc. First, a boss is created using Polygon, which will make the cut all around the disc. The boss will be revolved by 15° on each opposite side to make it symmetric to the y-axis. Then, a circular pattern will be created around the axis of revolution with 20 instances. These 20 instances will cut the disc plate.

Create the polygon that will form the boss:
Create the rotational sweep of the boss, making it symmetrical:
Form the union of the two solids:

Each of the 20 cuts must have a fillet in its four corners. To avoid applying a fillet in each edge, we first apply a fillet of radius 2 [mm] to the four corners of the boss. Then we compute the difference between the bosses and the disc plate.

Fillet edges number 18, 20, 34, and 36:
Visualize the disc plate and a single boss:
Verify that the boss indeed intersects the surface of the disc:
Create 20 bosses:
Make the cut:

Finally, to round any edge left, a torus is created at the middle of the slot, and a cut is made.

Create the torus with inner diameter 12 [mm] and outer radius of 146.5 [mm]:
Verify that the torus is at the middle of the disc plate:
Make the cut:
Extract a boundary element mesh:
Visualize the disc plate with the new additions:

Holes at the disc surface

The following holes of diameter 6 [mm] follow a specific pattern. The pattern consists of five holes that follow a curve made of an arc of a circle, where each hole is equally spaced along the curve. This particular pattern is replicated 20 times around the x-axis.

An arc circle is the curve segment between two points along a section of the circumference of any circle. To trace such an arc, one must define the center of the circle, its radius, and its central angle.

In this case, the arc was not defined by specifying its radius, center, and angle; instead, these properties were defined automatically by placing the arc inside a rectangle with a height of 30 [mm] and a width of 38 [mm]. The rectangle was placed at the y-z plane, 88 [mm] away from the origin and with an angle of 4.55° to the z-axis.

The arc intersects the rectangle at the top left and bottom right corners. By doing these, the geometric properties of the arc are defined automatically.

In our case, we need to do this procedure manually.

Define the coordinates of the rectangle:
Create a RotationTransform of -4.55° around the -axis:
Apply the transformation to the coordinates:
Visualize the rotated rectangle:

The formula used to calculate the radius is the following:

Define the radius of the arc:

Now that we have the radius and the coordinates in which the two points of the arc should coincide, we can solve a couple of equations to know the center of the circle and its angle. The result will be given as a set of rules.

The parametric equation of a circle not centered at the origin is given by:

Because there are two pairs of coordinates, there will be four equations to solve. The variables to be solved are , , , and .

Solve the set of equations:

The first set of rules gives the solution we are looking for.

Create the coordinates where the holes will be placed:
Visualize the points along the arc:
Create the five cylinders:
Repeat 20 times the same pattern around the -axis
Make the cut:
Extract a boundary element mesh with a refined angular deflection:
Visualize the boundary:
Create a full mesh of the disc plate:
Visualize a rasterized version the disc plate:

References

[1] https://www.youtube.com/watch?v=u88QW4tfNjo&t=493s

[2] https://www.youtube.com/watch?v=3Fk1bCMJchw&t=616s